%define py_ver %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define maxver %(python -c "import sys; a,b=sys.version_info[:2]; print%'%%d.%%d'%%(a,b+1)" 2>/dev/null || echo PYTHON-NOT-FOUND) 
%define minver %py_ver
%define py_prefix  %(python -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_libdir  %{py_prefix}/%{_lib}/python%{py_ver}
%define py_sitedir %{py_libdir}/site-packages

%define repsys_version 1.5.3

Name: repsys
Version: 1.5.3.1
Release: 3mdk
Summary: Tools for Mandriva Linux repository access and management
Group: Development/Other
Source: %{name}-%{repsys_version}.tar.gz
Source1: mdk-repsys.conf
Source2: mdk-rebrand-mdk
# Direct wrapper for get srpm with release based on svn number
Source3: getsrpm-mdk
Patch0: repsys-mdk.patch
Patch1: mdk-changelog-repsys-1.5.3.patch
License: GPL
URL: http://qa.mandriva.com/twiki/bin/view/Main/RepositorySystem
Prefix: %{_prefix}
Buildrequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python 
BuildRequires: python-devel

%description
Tools for Mandriva Linux repository access and management.

%prep
%setup -q -n %{name}-%{repsys_version}
%patch0 -p1
%patch1 -p1

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot}
# Using compile inline since niemeyer's python macros still not available on mdk rpm macros
find %{buildroot}%{py_sitedir} -name '*.pyc' -exec rm -f {} \; 
python -c "import sys, os, compileall; br='%{buildroot}'; compileall.compile_dir(sys.argv[1], ddir=br and 
(sys.argv[1][len(os.path.abspath(br)):]+'/') or None)" %{buildroot}%{py_sitedir}

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/repsys/
mkdir -p %{buildroot}%{_bindir}/
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/repsys.conf
cp %{SOURCE2} %{buildroot}%{_datadir}/repsys/rebrand-mdk
cp %{SOURCE3} %{buildroot}%{_bindir}/getsrpm-mdk

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc repsys.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/repsys.conf
%defattr(0755,root,root,0755)
%{_bindir}/repsys
%{_bindir}/getsrpm-mdk
%{_datadir}/repsys/rebrand-mdk
%{py_sitedir}/RepSys



%changelog
* Tue Jul 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-07-26 09:48:46 (441)
- Changes on behalf of Oden Eriksson
- update S1
- lib64 fixes
- this is no noarch package
- rpmlint fixes

* Wed Jun 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-29 09:50:47 (257)
- Upload new spec

* Wed Jun 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-29 09:44:48 (256)
- Fixed ugly type on url type svn+ssh

* Tue Jun 28 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-28 12:22:47 (248)
- Update repsys to match new changelog requirements ( just release keep unchanged )
- Update getsrpm-mdk to genrate srpm with changelog
- Fixed regexp for unicode/color chars in terminal ( thanks to aurelio )

* Tue Jun 14 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-14 10:04:31 (206)
- Start to fix builds on x86_64 archs.

* Wed Jun 08 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-08 09:48:55 (151)
- Fixed patch for get real changelog and version

* Sun May 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-29 18:08:25 (147)
- Added changelog patch to match mdk style

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 15:26:17 (146)
- Added rebrand script for match release number with svn
- Added wrapper script for get srpms ready for submit to cluster compilation

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 14:46:09 (145)
- Added suggested changes by neoclust

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 09:23:34 (144)
- Added initial users on default

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 16:10:18 (143)
- Added a initial changelog until repsys submit is working

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 15:28:57 (142)
- No bziped patches

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 15:22:47 (141)
- Initial import of repsys package
